Name:           python-pinpointpy
Version:        1.4.1
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        The pinpoint Python library

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/pinpoint-apm/pinpoint-c-agent
Source:         %{pypi_source pinpointpy}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pinpointpy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pinpointpy
Summary:        %{summary}

%description -n python3-pinpointpy %_description


%prep
%autosetup -p1 -n pinpointpy-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pinpointpy -f %{pyproject_files}


%changelog
%autochangelog